Chat Labels
Tags: chat, labels, organization
Endpoints
GET- ListPOST- CreateDELETE /{label_id}- Delete Label IdGET /{label_id}- Get Label IdPUT /{label_id}- Update Label Id
List
GET /api/v2/w/{workspace_uuid}/chat-labels
Description:
Chat conversation tagging and categorization
List all chat labels for the workspace.
Access: All workspace members can view labels (workspace-scoped resource).
Authorization: Requires labels:read scope
Response: List of ChatLabelResponse
Create
POST /api/v2/w/{workspace_uuid}/chat-labels
Description:
Chat conversation tagging and categorization
Create a new chat label. Requires workspace manager role.
Authorization: Requires chats:write scope
Parameters:
label(CreateChatLabelRequest)
Response: See ChatLabelResponse
Delete Label Id
DELETE /api/v2/w/{workspace_uuid}/chat-labels/{label_id}
Description:
Chat conversation tagging and categorization
Delete a chat label. Requires workspace manager role.
Authorization: Requires chats:write scope
Parameters:
label_id(Integer)
Get Label Id
GET /api/v2/w/{workspace_uuid}/chat-labels/{label_id}
Description:
Chat conversation tagging and categorization
Get a specific chat label by ID.
Authorization: Requires labels:read scope
Parameters:
label_id(String)
Response: See ChatLabelResponse
Update Label Id
PUT /api/v2/w/{workspace_uuid}/chat-labels/{label_id}
Description:
Chat conversation tagging and categorization
Update an existing chat label. Requires workspace manager role.
Authorization: Requires chats:write scope
Parameters:
label_id(Integer)label(UpdateChatLabelRequest)
Response: See ChatLabelResponse